Draft Étiquette

From FreeCAD Documentation
Revision as of 20:05, 22 December 2021 by David69 (talk | contribs)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Page précédente : Draft Dimension.svg Dimension

Draft Label.svg Draft Étiquette

Emplacement du menu
Annotation → Étiquette
Ateliers
Draft, Arch
Raccourci par défaut
D L
Introduit dans la version
0.17
Voir aussi
Draft Texte, Draft Formes à partir texte

Description

La commande Draft Label.svg Draft Étiquette crée un texte de plusieurs lignes avec une ligne de tête à deux segments et une flèche.

Si un objet ou un sous-élément (face, arête ou sommet) est sélectionné au lancement de la commande, on peut faire en sorte que le texte affiche un ou deux attributs de l'élément sélectionné, notamment la position, la longueur, l'aire, le volume et le matériau. Le texte sera alors lié aux attributs et sera mis à jour si leurs valeurs changent.

Pour insérer un élément de texte sans flèche, utilisez plutôt la commande Draft Texte.

Draft Label example.jpg

Différentes étiquettes avec différentes orientations, flèches et informations

Utilisation

Voir aussi : Draft La barre, Draft Aimantation et Draft Contrainte.

  1. Sélectionnez éventuellement un objet ou un sous-élément (sommet, arête ou face) dont vous souhaitez afficher les attributs.
  2. Il existe plusieurs façons d'invoquer la commande :
    • Appuyez sur le Draft Label.svg Étiquette.
    • Sélectionnez l'option Annotation → Draft Label.svg Étiquette dans le menu.
    • Utilisez le raccourci clavier : D puis L.
  3. Le panneau de tâches Étiquette s'ouvre. Voir Options pour plus d'informations.
  4. Si vous avez sélectionné un élément : sélectionnez une option dans la liste déroulante Label type. Voir Types d'étiquettes ci-dessous.
  5. Choisissez le premier point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point. Ce point indique la cible (tête de flèche). Il peut se trouver n'importe où, il n'est pas nécessaire qu'il soit sur un élément.
  6. Choisissez le deuxième point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point. Ce point indique le début du segment horizontal ou vertical de l'amorce.
  7. Choisissez le troisième point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point bouton. Ce point indique le point de base du texte.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les valeurs X, Y et Z et appuyez sur Entrée après chacune. Ou bien vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur R ou cliquez sur la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées sont relatives au dernier point, si disponible, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur S pour activer ou désactiver Draft Aimantation.
  • Appuyez sur Echap ou sur le bouton Fermer pour abandonner la commande.

Types d'étiquettes

Les types d'étiquettes suivants sont disponibles :

  • Custom : affiche le contenu de DonnéesCustom Text.
  • Name : affiche le nom interne de l'objet cible. Le nom interne est attribué lors de la création de l'objet et reste fixe pendant toute l'existence de l'objet.
  • Label : affiche le libellé de l'objet cible. Le libellé d'un objet peut être modifié par l'utilisateur.
  • Position : affiche les coordonnées du point de base de l'objet cible, du sommet cible ou du centre de masse du sous-élément cible, le cas échéant.
  • Length : affiche la longueur de l'objet ou du sous-élément cible, le cas échéant.
  • Area : affiche la surface de l'objet ou du sous-élément cible, le cas échéant.
  • Volume : affiche le volume de l'objet cible, le cas échéant.
  • Tag : affiche l'attribut Tag de l'objet cible, le cas échéant. Les objets créés avec l'atelier Arch peuvent avoir cet attribut.
  • Matériau : affiche le libellé du matériau de l'objet cible, le cas échéant.
  • Label + Position : affiche le libellé du matériau de l'objet cible, le cas échéant.
  • Label + Longueur
  • Label + Area
  • Label + Volume
  • Label + Material

Remarques

  • La direction du deuxième segment de l'amorce détermine l'alignement du texte. Si le segment est horizontal et pointe vers la droite, le texte est aligné sur la gauche et vice versa. Si le deuxième segment va verticalement vers le haut, le texte est aligné sur la gauche. S'il va verticalement vers le bas, le texte est aligné sur la droite.

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Draft Etiquette est dérivé d'un objet App FeaturePython et hérite de toutes ses propriétés. Les propriétés suivantes sont supplémentaires, sauf indication contraire :

Données

Base

  • DonnéesCustom Text (StringList) : spécifie le contenu du texte si DonnéesLabel Type est Custom (personnalisé). Chaque élément de la liste représente une nouvelle ligne de texte.
  • DonnéesLabel Type (Enumeration) : spécifie le type d'information affiché par l'étiquette. Voir Types d'étiquettes.
  • DonnéesPlacement (Placement) : spécifie la position du texte dans la Vue 3D et, à moins que DonnéesStraight Direction ne soit Custom (personnalisé), également du premier segment de tête, qui est le segment où le texte est rattaché. Voir Placement.
  • DonnéesText (StringList) : (en lecture seule) spécifie le contenu du texte qui est effectivement affiché. Chaque élément de la liste représente une nouvelle ligne de texte.

Leader

  • DonnéesPoints (VectorList) : spécifie les points de l'amorce.
  • DonnéesStraight Direction (Enumeration) : spécifie la direction du premier segment de l'amorce : Custom, Horizontal ou Vertical.
  • DonnéesStraight Distance (Distance) : spécifie la longueur du premier segment d'amorce. Utilisé uniquement si DonnéesStraight Direction est Horizontale ou Verticale. Si la distance est positive, l'amorce part du côté droit du texte et le texte s'aligne sur la droite. Sinon, l'amorce part du côté gauche du texte et le texte s'aligne sur la gauche.

Target

  • DonnéesTarget (LinkSub) : spécifie l'objet et le sous-élément facultatif auquel l'étiquette est liée.
  • DonnéesTarget Point (Vector) : spécifie la position de la pointe de l'amorce, qui est l'endroit où la flèche est attachée.

Vue

Annotation

  • VueAnnotation Style (Enumeration) : spécifie le style d'annotation appliqué à l'étiquette. Voir Draft Editeur styles d'annotations.
  • VueScale Multiplier (Float) : spécifie le facteur d'échelle général appliqué à l'étiquette.

Display Options

  • VueDisplay Mode (Enumeration) : spécifie comment le texte est affiché. S'il s'agit de 3D text, le texte sera affiché dans un plan défini par le DonnéesPlacement de l'étiquette. S'il s'agit de 2D text, le texte fera toujours face à la caméra. Il s'agit d'une propriété héritée.

Graphics

  • VueArrow Size (Length) : spécifie la taille du symbole affiché à l'extrémité de la flèche.
  • VueArrow Type (Enumeration) : spécifie le type de symbole affiché à l'extrémité de l'amorce, qui peut être Dot, Circle, Arrow, Tick ou Tick-2.
  • VueFrame (Enumeration) : spécifie le type de cadre dessiné autour du texte. Les options actuelles sont None ou Rectangle.
  • VueLine (Bool) : indique s'il faut afficher la ligne de repère. S'il est false, seuls la flèche et le texte sont affichés.
  • VueLine Color (Color) : spécifie la couleur de l'amorce et de la flèche. Également utilisée pour le cadre (Introduit dans la version 0.20).
  • VueLine Width (Float) : spécifie la largeur de l'amorce. Également utilisé pour le cadre (Introduit dans la version 0.20).

Text

  • VueJustification (Enumeration) : spécifie l'alignement horizontal du texte : Left, Center ou Right. Utilisé uniquement si DonnéesStraight Direction est Custom (personnalisée). Sinon, l'alignement horizontal est basé sur le signe (positif ou négatif) de DonnéesStraight Distance.
  • VueLine Spacing (Float) : spécifie le facteur appliqué à la hauteur de ligne par défaut du texte.
  • VueMax Chars (Integer) : spécifie le nombre maximum de caractères sur chaque ligne du texte.
  • VueText Alignment (Enumeration) : spécifie l'alignement vertical du texte : Top, Middle ou Bottom.
  • VueText Color (Color) : spécifie la couleur du texte.
  • VueText Font (Font) : spécifie la police utilisée pour dessiner le texte. Il peut s'agir d'un nom de police, tel que Arial, d'un style par défaut tel que sans, serif ou mono, d'une famille telle que Arial,Helvetica,sans, ou d'un nom avec un style tel que Arial:Bold. Si la police donnée n'est pas trouvée sur le système, une police par défaut est utilisée à la place.
  • VueFont Size (Length) : spécifie la taille des lettres. Le texte peut être invisible dans la Vue 3D si cette valeur est très petite.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer une Draft Étiquette, utilisez la méthode make_label (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeLabel.

label = make_label(target_point=App.Vector(0, 0, 0),
                   placement=App.Vector(30, 30, 0),
                   target_object=None, subelements=None,
                   label_type="Custom", custom_text="Label",
                   direction="Horizontal", distance=-10,
                   points=None)

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(4000, 1000)
doc.recompute()

p1 = App.Vector(-200, 1000, 0)
place1 = App.Placement(App.Vector(-1000, 1300, 0), App.Rotation())

label1 = Draft.make_label(p1, place1, target_object=rectangle, distance=500, label_type="Label")
label1.ViewObject.TextSize = 200

p2 = App.Vector(-200, 0, 0)
place2 = App.Placement(App.Vector(-1000, -300, 0), App.Rotation())

label2 = Draft.make_label(p2, place2, target_object=rectangle, distance=500, label_type="Custom",
                          custom_text="Beware of the sharp edges")
label2.ViewObject.TextSize = 200

p3 = App.Vector(1000, 1200, 0)
place3 = App.Placement(App.Vector(2000, 1800, 0), App.Rotation())

label3 = Draft.make_label(p3, place3, target_object=rectangle, distance=-500, label_type="Area")
label3.ViewObject.TextSize = 200

doc.recompute()


Arrow-left.svg Page précédente : Draft Dimension.svg Dimension